#include <cassert>
#include "effects\selfmove.h"
#include "cell.h"
#include "units\unit.h"
#include <string>

void SelfMove::OperateOnCell(Cell* cell){
    throw std :: string("CAN'T TOUCH THIS");
}

void SelfMove::OperateOnUnit(Unit* unit){
    throw std :: string("CAN'T TOUCH THIS");
}

void SelfMove::OperateOnUnitToCell(Unit* unit, Cell* cell){
    unit->setLocation(cell);
}

void SelfMove::Execute(Cell* from, Cell* where, Unit* who, Unit* whom, TypeOfTrigger Type){
    if(Type == 1)
        OperateOnUnitToCell(who, where);
}
